Skip to main content
POST
/
wallets
/
{walletId}
/
addresses
Provision a deposit address for a wallet
curl --request POST \
  --url https://api.anchorage-staging.com/v2/wallets/{walletId}/addresses \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "signedAddress": {
      "address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
      "addressId": "a33f83d96ca95cac000a344aa478a8b8",
      "addressSignaturePayload": "7b225465787441646472657373223a22324e313941636968513161344d78515736353855464854696f554e6e4d6b6948506b77227d",
      "signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503",
      "certChain": "-----BEGIN CERTIFICATE-----\nMIIBkTCCATigAwIBAgIQExample...\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIBkTCCATigAwIBAgIQExample...\n-----END CERTIFICATE-----\n",
      "signatureVersion": "V2",
      "walletId": "a33f83d96ca95cac000a344aa478a8b8"
    }
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

walletId
string
required

An ID uniquely identifying an Anchorage Digital wallet

Response

Provisioned address

data
Data · object
required